Bug 490849 - Review Request: php-ezc-Archive- eZ Components Archive
Review Request: php-ezc-Archive- eZ Components Archive
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
10
noarch Linux
low Severity medium
: ---
: ---
Assigned To: Remi Collet
Fedora Extras Quality Assurance
:
Depends On: 484507 484509
Blocks:
  Show dependency treegraph
 
Reported: 2009-03-18 06:24 EDT by Guillaume Kulakowski
Modified: 2014-09-02 09:26 EDT (History)
3 users (show)

See Also:
Fixed In Version: 1.3.3-1.fc9
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-05-12 20:27:00 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
fedora: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Guillaume Kulakowski 2009-03-18 06:24:53 EDT
Archive is a part of eZ Components :
https://admin.fedoraproject.org/pkgdb/packages/name/php-channel-ezc

The component allows you to create, modify, and extract archive files of
various formats.  The currently supported archives formats are Tar (with
the flavours: ustar, v7, pax, and gnu) and Zip.

SPEC:
http://llaumgui.fedorapeople.org/review/ez_components/php-ezc-Archive.spec

SRPM:
http://llaumgui.fedorapeople.org/review/ez_components/php-ezc-Archive-1.3.2-1.fc10.noarch.rpm

RPM:
http://llaumgui.fedorapeople.org/review/ez_components/php-ezc-Archive-1.3.2-1.fc10.src.rpm

rpmlint:
builder@enterprise ~> rpmlint rpmbuild/**/php-ezc-Archive *             
2 packages and 1 specfiles checked; 0 errors, 0 warnings.

Pear CompatInfo:
+-----------------------------+---------+---+------------+--------------------+
| Files                       | Version | C | Extensions | Constants/Tokens   |
+-----------------------------+---------+---+------------+--------------------+
| ./*                         | 5.1.0   | 0 | bz2        | abstract           |
|                             |         |   | date       | implements         |
|                             |         |   | posix      | private            |
|                             |         |   | zlib       | protected          |
|                             |         |   |            | public             |
|                             |         |   |            | throw              |
+-----------------------------+---------+---+------------+--------------------+
Comment 3 Remi Collet 2009-04-27 03:48:06 EDT
REVIEW:

+ rpmlint is ok
php-ezc-Archive.src: I: checking
php-ezc-Archive.noarch: I: checking
2 packages and 1 specfiles checked; 0 errors, 0 warnings.
+ package name ok
+ spec file name ok
+ package meet the PHP Guidelines (new update)
+ License ok : BSD
+ License is upstream 
+ spec in english and legible
+ license file in sources is provided
+ sources match the upstream sources
0400c9d03f8a3bba4ec3093428e7ef2a  Archive-1.3.3.tgz
+ Source URL ok
+ build  on F10.x86_64
+ BuildRequires (php-pear >= 1:1.4.9-1.2, php-channel(components.ez.no)) ok
+ no locale
+ no .so
+ own all directories that it creates
+ no duplicate file
+ %defattr ok
+ %clean section
+ use macros consistently
+ contain code
+ small documentation not required to run
+ no devel
+ no pkgconfig
+ no sub-package
+ no GUI
+ don't own files or directories already owned by other packages
+ %install start with rm -rf 
+ valid UTF-8
+ build in mock (fedora-rawhide-x86_64)
+ no test suite
+ scriptlets ok
+ Final Requires ok
php-common >= 5.2.1
php-pear(components.ez.no/Base) >= 1.6.1
php-posix  
+ Final Provides ok
php-pear(components.ez.no/Archive) = 1.3.3
php-ezc-Archive = 1.3.3-1.fc8

Good catch for php-posix (split from php-common in F11)

--------
APPROVED
--------
Comment 4 Guillaume Kulakowski 2009-04-27 06:17:12 EDT
New Package CVS Request
=======================
Package Name: php-ezc-Archive
Short Description: reate, modify, and extract archive files of various formats
Owners: llaumgui
Branches: F-9 F-10
InitialCC:
Comment 5 Dennis Gilmore 2009-05-01 16:49:16 EDT
CVS Done

I took the liberty to add a F-11 branch also
Comment 6 Fedora Update System 2009-05-02 10:04:47 EDT
php-ezc-Archive-1.3.3-1.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/php-ezc-Archive-1.3.3-1.fc10
Comment 7 Fedora Update System 2009-05-02 10:04:51 EDT
php-ezc-Archive-1.3.3-1.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/php-ezc-Archive-1.3.3-1.fc9
Comment 8 Fedora Update System 2009-05-06 19:29:15 EDT
php-ezc-Archive-1.3.3-1.fc9 has been pushed to the Fedora 9 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing-newkey update php-ezc-Archive'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F9/FEDORA-2009-4276
Comment 9 Fedora Update System 2009-05-06 19:33:04 EDT
php-ezc-Archive-1.3.3-1.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update php-ezc-Archive'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2009-4302
Comment 10 Fedora Update System 2009-05-12 20:26:55 EDT
php-ezc-Archive-1.3.3-1.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 11 Fedora Update System 2009-05-12 20:27:31 EDT
php-ezc-Archive-1.3.3-1.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 12 Guillaume Kulakowski 2010-08-29 04:52:40 EDT
Package Change Request
======================
Package Name: php-ezc-Archive
New Branches: EL-6
Owners: llaumgui
Comment 13 Kevin Fenzi 2010-08-29 14:48:52 EDT
Git done (by process-git-requests).
Comment 14 Guillaume Kulakowski 2014-09-02 08:56:47 EDT
Package Change Request
======================
Package Name: php-ezc-Archive
New Branches: EL-7
Owners: llaumgui
Comment 15 Gwyn Ciesla 2014-09-02 09:26:47 EDT
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.